package RRD::Cache::SNMP::Uptime;

#
# Cache::SNMP uptime cache 
# Reads/Write uptime 
#
# $Id: Uptime.pm,v 1.5 2002/07/06 15:42:26 tommy Exp $
#

use strict;

use BER;
$BER::pretty_print_timeticks = 0;
use SNMP_util;

use RRD::Cache;

use vars qw(@ISA $TIMEOUT);
@ISA = qw(RRD::Cache);

$TIMEOUT = 60;

sub GetContent {
    my ($self) = @_;

    my ($res) = snmpget($self->{Target},'.1.3.6.1.2.1.1.3.0');
    return $res;
}

sub Load {
}

sub uptime {
    my ($self) = @_;
    return $self->{value};
}


1;
