package RRD::Function::ciscoppp;

#
# RRD/Function Cisco PPP Connections meter
#
# $Id: ciscoppp.pm,v 1.3 2002/04/06 02:00:39 tommy Exp $
#

use RRDs;
use RRD::Template;
use RRD::Function::ascinuse;
use SNMP_util;

use vars qw(@ISA $VERSION);
@ISA   = qw(RRD::Function::ascinuse RRD::Template);


sub Update {
    my ($self) = @_;
 
    my ($res) = snmpget($self->{Target},".1.3.6.1.4.1.9.10.19.1.1.5.0");
    return unless defined $res;

    $self->{LastRead} = $res;
    RRDs::update($self->{RRD}, "N:$res" );
}


1;
