package RRD::Function::errors;

#
# RRD/Function standard port errors grapher
# TODO: crc, runts, overruns, etc datasources and graphics
# NB: NOT TESTED
#
# $Id: errors.pm,v 1.4 2002/10/18 22:17:56 tommy Exp $
#

use RRDs;
use RRD::Template;
use SNMP_util;

use vars qw(@ISA $VERSION);
@ISA = qw(RRD::Template);

sub Update {
    my ($self) = @_;
 
    my $if = $self->ifIndex || return undef;
    my ($in)  = snmpget($self->{Target},"1.3.6.1.2.1.2.2.1.14.".$if);
    return unless defined $in;
    my ($out) = snmpget($self->{Target},"1.3.6.1.2.1.2.2.1.20.".$if);
    return unless defined $out;

    $self->{LastRead} = "in $in out $out";
    RRDs::update($self->{RRD},"N:$in:$out");
}

1;
