#!/bin/sh
#
# rrdbrowse helper app to display dns stats
#
# $Id: nsstats.sh,v 1.2 2002/04/07 10:07:25 tommy Exp $
#
# Installation:
#
# /etc/services
#     nsstats #PORT#/tcp
# /etc/inetd.conf
#     nsstats stream tcp nowait #USER# /usr/sbin/tcpd /usr/local/bin/nsstats
# /etc/hosts.deny
#     nsstats: ALL
# /etc/hosts.allow
#     nsstats: #YOUR.IP.ADDRESS.OR.RANGE#
# /etc/sudoerrs
#     #USER# ALL = NOPASSWD: /usr/sbin/ndc stats
#     #USER# ALL = NOPASSWD: /bin/rm /var/named/named.*  
# nfo file:
#     Target: #PORT#@host
#

STATFILE=/var/named/named.stats
MSTATFILE=/var/named/named.memstats
NDC=/usr/sbin/ndc

sudo rm $STATFILE $MSTATFILE >/dev/null 2>&1
sudo $NDC stats >/dev/null
cat $STATFILE
sudo rm $STATFILE $MSTATFILE >/dev/null 2>&1

